"""
ldapoidreg - Simple dictionary registry for LDAP-related OIDs.

This is used in web2ldap to display further information about
LDAP-related OIDs (e.g. in RootDSE)

web2ldap - a web-based LDAP Client,
see http://www.web2ldap.de for details

Comprehensive list initially contributed by Norbert Klasen

$Id: ldapoidreg.py,v 1.28 2005/06/02 23:32:32 michael Exp $
"""

oid = {

  #controls
  "1.2.826.0.1.334810.2.3":(
    "valuesReturnFilter",
    "",
    "RFC3876"),
  "1.2.840.113549.6.0.0":( 
    "Signed Operation",
    "",
    "RFC2649"),
  "1.2.840.113549.6.0.1":( 
    "Demand Signed Result",
    "",
    "RFC2649"),
  "1.2.840.113549.6.0.2":( 
    "Signed Result",
    "",
    "RFC2649"),
  "1.2.840.113556.1.4.319":( 
    "paged Results",
    "",
    "RFC2696"),

  "1.2.840.113556.1.4.473":( 
    "Sort Key Request",
    "",
    "RFC2891"),
  "1.2.840.113556.1.4.474":( 
    "Sort Key Response",
    "",
    "RFC2891"),

  '1.2.840.113556.1.4.417':(
    'LDAP_SERVER_SHOW_DELETED_OID',
    'Show deleted control (Stateless)',
    'Platform SDK: DSML Services for Windows'),


  '1.2.840.113556.1.4.521':(
    'LDAP_SERVER_CROSSDOM_MOVE_TARGET_OID',
    'Cross-domain move control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.528':(
    'LDAP_SERVER_NOTIFICATION_OID',
    'Server search notification control (Forbidden)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.529':(
    'LDAP_SERVER_EXTENDED_DN_OID',
    'Extended DN control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.619':(
    'LDAP_SERVER_LAZY_COMMIT_OID',
    'Lazy commit control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.801':(
    'LDAP_SERVER_SD_FLAGS_OID',
    'Security descriptor flags control  (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  "1.2.840.113556.1.4.802":( 
    "SD_FLAGS",
    "Incremental Retrieval of Multi-valued Properties",
    "draft-kashi-incremental"),

  '1.2.840.113556.1.4.805':(
    'LDAP_SERVER_TREE_DELETE_OID',
    'Tree delete control  (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.841':(
    'LDAP_SERVER_DIRSYNC_OID',
    'Directory synchronization control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.970':(
    '',
    'Get stats control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1338':(
    'LDAP_SERVER_VERIFY_NAME_OID',
    'Verify name control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1339':(
    'LDAP_SERVER_DOMAIN_SCOPE_OID',
    'Domain scope control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1340':(
    'LDAP_SERVER_SEARCH_OPTIONS_OID',
    'Search options control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1413':(
    'LDAP_SERVER_PERMISSIVE_MODIFY_OID',
    'Permissive modify control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1504':(
    'LDAP_SERVER_ASQ_OID',
    'Attribute scoped query control (Stateless)',
    'Platform SDK: DSML Services for Windows'),

  '1.2.840.113556.1.4.1781':(
    'LDAP_SERVER_FAST_BIND_OID',
    'Fast concurrent bind extended operation (Forbidden)',
    'Platform SDK: DSML Services for Windows'),


  "1.3.6.1.4.1.1466.29539.1":( 
    "LDAP_CONTROL_ATTR_SIZELIMIT",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.2":( 
    "LDAP_CONTROL_NO_COPY",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.3":( 
    "LDAP_CONTROL_PARTIAL_COPY",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.5":( 
    "LDAP_CONTROL_NO_CHAINING",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.7":( 
    "LDAP_CONTROL_ALIAS_ON_UPDATE",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.10":( 
    "LDAP_CONTROL_TRIGGER",
    "",
    ""),
  "1.3.6.1.4.1.1466.29539.12":( 
    "nsTransmittedControl",
    "Control included with iPlanet Directory Server prevents loops.",
    "iPlanet Directory Server 5.0 Administrator's Guide"),

  # Syntegra X.500 controls
  # see http://www.openldap.org/lists/ietf-ldapext/200010/msg00127.html
  "2.16.840.1.113531.18.2.1":(
    "LDAP_C_SETOPTIONS_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.2":(
    "LDAP_C_SETDONTUSECOPY_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.3":(
    "LDAP_C_SETLOCALSCOPE_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.4":(
    "LDAP_C_SETOPERATTR_OID",
    "Return operational attributes as well as user attributes",
    ""),
  "2.16.840.1.113531.18.2.5":(
    "LDAP_C_SETSUBENTRIES_OID",
    "Return only subentries",
    ""),
  "2.16.840.1.113531.18.2.6":(
    "LDAP_C_SETUSEALIAS_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.7":(
    "LDAP_C_SETPREFERCHAIN_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.8":(
    "LDAP_C_SETX500DN_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.9":(
    "LDAP_C_SETCOPYSHALLDO_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.10":(
    "LDAP_C_SETDONTMAPATTRS_OID",
    "",
    ""),
  "2.16.840.1.113531.18.2.11":(
    "LDAP_C_SETALLENTRIES_OID",
    "Return normal entries as well as sub-entries",
    ""),

  "2.16.840.1.113719.1.27.101.1":( 
    "Duplicate Entry Request",
    "",
    "draft-ietf-ldapext-ldapv3-dupent"),
  "2.16.840.1.113719.1.27.101.2":( 
    "DuplicateSearchResult",
    "",
    "draft-ietf-ldapext-ldapv3-dupent"),
  "2.16.840.1.113719.1.27.101.3":( 
    "DuplicateEntryResponseDone",
    "",
    "draft-ietf-ldapext-ldapv3-dupent"),
  "2.16.840.1.113719.1.27.101.5":(
    "Simple Password",
    "not yet documented",
    "NDS"),
  "2.16.840.1.113719.1.27.101.6":(
    "Forward Reference",
    "not yet documented",
    "NDS"),
  "2.16.840.1.113730.3.4.2":( 
    "ManageDsaIT",
    "",
    "RFC3296"),
  "2.16.840.1.113730.3.4.3":( 
    "Persistent Search",
    "",
    "draft-ietf-ldapext-psearch"),
  "2.16.840.1.113730.3.4.4":( 
    "Netscape Password Expired",
    "",
    "vchu-ldap-pwd-policy-00"),
  "2.16.840.1.113730.3.4.5":( 
    "Netscape Password Expiring",
    "an octet string to indicate the time in seconds until the password expires",
    "vchu-ldap-pwd-policy-00"),
  "2.16.840.1.113730.3.4.6":( 
    "Netscape NT Synchronization Client",
    "",
    ""),
  "2.16.840.1.113730.3.4.7":( 
    "Entry Change Notification",
    "This control provides additional information about the change the caused a particular entry to be returned as the result of a persistent search.",
    "draft-ietf-ldapext-psearch"),
  "2.16.840.1.113730.3.4.9":( 
    "Virtual List View Request",
    "",
    "draft-ietf-ldapext-ldapv3-vlv"),
  "2.16.840.1.113730.3.4.10":( 
    "Virtual List View Response",
    "",
    "draft-ietf-ldapext-ldapv3-vlv"),
  "2.16.840.1.113730.3.4.11":( 
    "Transaction ID Response",
    "",
    "http://docs.iplanet.com/docs/manuals/directory.html"),
  "2.16.840.1.113730.3.4.12":( 
    "Proxied Authorization",
    "allows LDAP clients to use different credentials, without rebinding, when executing LDAP operations.",
    "draft-weltman-ldapv3-proxy"),
  "2.16.840.1.113730.3.4.13":( 
    "iPlanet Directory Server Replication Update Information",
    "",
    " http://docs.iplanet.com/docs/manuals/directory.html"),
  "2.16.840.1.113730.3.4.14":( 
    "iPlanet Directory Server search on specific backend",
    "",
    "http://docs.iplanet.com/docs/manuals/directory.html"),
  "2.16.840.1.113730.3.4.15":( 
    "Authentication Response",
    "Returned with bind requests to provide LDAP clients with the DN and authentication method used (useful when SASL or certificate mapping is employed).",
    "draft-weltman-ldapv3-auth-response-03.txt"),
  "2.16.840.1.113730.3.4.16":( 
    "Authentication Request",
    "Can be provided with bind requests to indicate to the server that an Authentication Response Control is desired with the bind response.",
    "draft-weltman-ldapv3-auth-response-03.txt"),
  "2.16.840.1.113730.3.4.17":( 
    "Real Attributes Only",
    "This control requests that the server only return attributes which are truly contained in the entries returned and that no resolution of virtual attributes be performed (such as defined by class of service and roles).",
    "http://docs.iplanet.com/docs/manuals/directory.html"),
  "2.16.840.1.113730.3.4.18":( 
    "Proxied Authorization (version 2)",
    "For assuming the identity of another entry for the duration of a request.",
    "draft-weltman-ldapv3-proxy-06.txt"),
  "1.3.18.0.2.12.1":(
    "subjectCredentialRequest",
    "The ACL credential controls provide a method to flow a subject's credentials associated with a bind.",
    "draft-ietf-ldapext-acl-model"),
#  "1.3.18.0.2.12.3":(
#    "",
#    "",
#    ""),
  # IBM SecureWay
  "1.3.18.0.2.12.5":(
    "tranExtOpInit",
    "",
    "http://www-3.ibm.com/software/network/directory/library/v322/object.htm"),
  "1.3.18.0.2.12.6":(
    "tranExtOpInit",
    "",
    "http://www-3.ibm.com/software/network/directory/library/v322/object.htm"),

  #extops
  "2.16.840.1.113719.1.142.100.1":( 
    "StartFramedProtocolRequest",
    "",
    "draft-ietf-ldup-framing"),
  "2.16.840.1.113719.1.142.100.2":( 
    "StartFramedProtocolResponse",
    "",
    "draft-ietf-ldup-framing"),
  "2.16.840.1.113719.1.142.100.3":( 
    "ReplicationUpdate",
    "",
    "draft-ietf-ldup-protocol"),
  "2.16.840.1.113719.1.142.100.4":( 
    "EndFramedProtocolRequest",
    "",
    "draft-ietf-ldup-framing"),
  "2.16.840.1.113719.1.142.100.5":( 
    "EndFramedProtocolResponse",
    "",
    "draft-ietf-ldup-framing"),
  "1.3.6.1.4.1.1466.101.119.1":( 
    "Dynamic Directory Services Refresh Request",
    "",
    "RFC2589"),
  "1.3.6.1.4.1.1466.20037":( 
    "Start TLS extended operation",
    "",
    "RFC2830"),

  #LDAP Server Profiles 
  #attribute: ogSupportedProfile 
  #http://www.opengroup.org/orc/DOCS/LDAP_PR/text/apdxa.htm
  "1.2.826.0.1050.11.1.1":(
    "Read-Only LDAP Server",
    "",
    "Open Group LDAP Server Profiles"),
  "1.2.826.0.1050.11.2.1":(
    "Read-Write LDAP Server",
    "",
    "Open Group LDAP Server Profiles"),
  "1.2.826.0.1050.11.3.1":(
    "White Pages Application LDAP Server",
    "",
    "Open Group LDAP Server Profiles"),
  "1.2.826.0.1050.11.4.1":(
    "Certificate Application LDAP Server",
    "",
    "Open Group LDAP Server Profiles"),
  "1.2.826.0.1050.11.5.1":(
    "Single Sign On Application LDAP Server",
    "",
    "Open Group LDAP Server Profiles"),

  # NDS supports the following LDAP extensions for
  # obtaining effective rights, managing replicas and
  # partitions, and refreshing the LDAP server:
  "2.16.840.1.113719.1.27.100.1":(
    "ndsToLdapResponse",
    "Nds To Ldap Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.2":(
    "ndsToLdapRequest",
    "Nds To Ldap Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.3":(
    "createNamingContextRequest",
    "Split Partition Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.4":(
    "createNamingContextResponse",
    "Split Partition Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.5":(
    "mergeNamingContextRequest",
    "Merge Partition Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.6":(
    "mergeNamingContextResponse",
    "Merge Partition Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.7":(
    "addReplicaRequest",
    "Add Replica Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.8":(
    "addReplicaResponse",
    "Add Replica Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.9":(
    "refreshLDAPServerRequest",
    "Refresh Server Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.10":(
    "refreshLDAPServerResponse",
    "Refresh Server Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.11":(
    "removeReplicaRequest",
    "Remove Replica Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.12":(
    "removeReplicaResponse",
    "Remove Replica Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.13":(
    "namingContextEntryCountRequest",
    "Partition Entry Count Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.14":(
    "namingContextEntryCountResponse",
    "Partition Entry Count Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.15":(
    "changeReplicaTypeRequest",
    "Change Replica Type Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.16":(
    "changeReplicaTypeResponse",
    "Change Replica Type Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.17":(
    "getReplicaInfoRequest",
    "Get Replica Info Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.18":(
    "getReplicaInfoResponse",
    "Get Replica Info Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.19":(
    "listReplicaRequest",
    "List Replica Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.20":(
    "listReplicaResponse",
    "List Replica Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.21":(
    "receiveAllUpdatesRequest",
    "Receive All Updates Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.22":(
    "receiveAllUpdatesResponse",
    "Receive All Updates Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.23":(
    "sendAllUpdatesRequest",
    "Send All Updates Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.24":(
    "sendAllUpdatesResponse",
    "Send All Updates Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.25":(
    "requestNamingContextSyncRequest",
    "Request Partition Sync Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.26":(
    "requestNamingContextSyncResponse",
    "Request Partition Sync Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.27":(
    "requestSchemaSyncRequest",
    "Request Schema Sync Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.28":(
    "requestSchemaSyncResponse",
    "Request Schema Sync Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.29":(
    "abortNamingContextOperationRequest",
    "Abort Partition Operation Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.30":(
    "abortNamingContextOperationResponse",
    "Abort Partition Operation Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.31":(
    "getContextIdentityNameRequest",
    "Get Bind DN Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.32":(
    "getContextIdentityNameResponse",
    "Get Bind DN Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.33":(
    "getEffectivePrivilegesRequest",
    "Get Effective Privileges Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.34":(
    "getEffectivePrivilegesResponse",
    "Get Effective Privileges Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.35":(
    "setReplicationFilterRequest",
    "Set Replication Filter Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.36":(
    "setReplicationFilterResponse",
    "Set Replication Filter Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.37":(
    "getReplicationFilterRequest",
    "Get Replication Filter Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.38":(
    "getReplicationFilterResponse",
    "Get Replication Filter Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.39":(
    "createOrphanNamingContextRequest",
    "Create Orphan Partition Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.40":(
    "createOrphanNamingContextResponse",
    "Create Orphan Partition Response",
    "NDS"),
  "2.16.840.1.113719.1.27.100.41":(
    "removeOrphanNamingContextRequest",
    "Remove Orphan Partition Request",
    "NDS"),
  "2.16.840.1.113719.1.27.100.42":(
    "removeOrphanNamingContextResponse",
    "Remove Orphan Partition Response",
    "NDS"),

  # Extensions to trigger NDS background processes
  # via ldap_trigger_back_process()
  "2.16.840.1.113719.1.27.100.43":(
    "Trigger Backlinker Request",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.44":(
    "Trigger Backlinker Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.47":(
    "Trigger Janitor Request ",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.48":(
    "Trigger Janitor Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.49":(
    "Trigger Limber Request ",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.50":(
    "Trigger Limber Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.51":(
    "Trigger Skulker Request ",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.52":(
    "Trigger Skulker Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.53":(
    "Trigger Schema Synch Request ",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.54":(
    "Trigger Schema Synch Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.55":(
    "Trigger Partition Purge Request ",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.56":(
    "Trigger Partition Purge Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.79":(
    "Monitor Events Request",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.80":(
    "Monitor Events Response",
    "",
    "NDS"),
  "2.16.840.1.113719.1.27.100.81":(
    "Event Notification",
    "",
    "NDS"),

  # The Novell Import Convert Export utility uses the following
  # extensions.
  "2.16.840.1.113719.1.142.100.1":(
    "startFramedProtocolRequest",
    "",
    "NDS"),
  "2.16.840.1.113719.1.142.100.2":(
    "startFramedProtocolResponse",
    "",
    "NDS"),
  "2.16.840.1.113719.1.142.100.4":(
    "endFramedProtocolRequest",
    "",
    "NDS"),
  "2.16.840.1.113719.1.142.100.5":(
    "endFramedProtocolResponse",
    "",
    "NDS"),
  "2.16.840.1.113719.1.142.100.6":(
    "lburpOperationRequest",
    "",
    "NDS"),
  "2.16.840.1.113719.1.142.100.7":(
    "lburpOperationResponse",
    "",
    "NDS"),

  "2.16.840.1.113719.1.27.99.1":(
    "Superior References",
    "",
    "Novell eDirectory 8.7+"),

  # See http://www.openldap.org/faq/data/cache/563.html
  "1.3.6.1.4.1.4203.1.5.1":(
    "All Operational Attribute",
    "Provide a simple mechanism which clients may use to request the return of all operational attributes.",
    "RFC 3673"),
  "1.3.6.1.4.1.4203.1.5.2":(
    "Return of all attributes of an object class",
    "",
    "draft-zeilenga-ldap-adlist"),
  "1.3.6.1.4.1.4203.1.5.3":(
    "Supports absolute True (&) and False (|) filters",
    "",
    "draft-zeilenga-ldap-t-f"),
  "1.3.6.1.4.1.4203.1.5.4":(
    "Supports Language Tag Options",
    "Server supports storing attributes with language tag options in the DIT",
    "draft-zeilenga-ldap-rfc2596"),
  "1.3.6.1.4.1.4203.1.5.5":(
    "Supports Language Range Options",
    "Server supports language range matching of attributes with language tag options stored in the DIT",
    "draft-zeilenga-ldap-rfc2596"),
  # See 
  "1.3.6.1.4.1.4203.1.10.1":(
    "Subentries Control",
    "",
    "draft-zeilenga-ldap-subentry"),
  "1.3.6.1.4.1.4203.1.10.2":(
    "NO OP Control",
    "",
    "draft-zeilenga-ldap-noop"),
  # See http://www.openldap.org/faq/data/cache/210.html
  "1.3.6.1.4.1.4203.1.11.1":( 
    "Password Modify Extended Operation",
    "modification of user passwords",
    "RFC3062"),
  "1.3.6.1.4.1.4203.1.11.2":(
    "LDAP Cancel Extended Operation",
    "",
    "draft-zeilenga-ldap-cancel"),
  "1.3.6.1.4.1.4203.1.11.3":(
    "Who Am I? Extended Operation",
    "",
    "draft-zeilenga-ldap-authzid"),

  # See http://www.openldap.org/faq/data/cache/212.html
  "1.3.6.1.4.1.4203.666.5.1":(
    "Subentries Control",
    "not valid anymore",
    "draft-zeilenga-ldap-subentry"),
  "1.3.6.1.4.1.4203.666.5.2":(
    "NO OP Control",
    "",
    "draft-zeilenga-ldap-noop"),

  # OpenLDAP's ldap.h - various works in progress
  "1.3.6.1.4.1.4203.666.5.9":(
    "LDAP_CONTROL_ASSERT",
    "",
    "OpenLDAP's ldap.h: various works in progress"),
  "1.3.6.1.4.1.4203.666.5.2":(
    "LDAP_CONTROL_NOOP",
    "",
    "OpenLDAP's ldap.h: various works in progress"),
  "1.3.6.1.4.1.4203.666.5.10.1":(
    "LDAP_CONTROL_PRE_READ",
    "",
    "OpenLDAP's ldap.h: various works in progress"),
  "1.3.6.1.4.1.4203.666.5.10.2":(
    "LDAP_CONTROL_POST_READ",
    "",
    "OpenLDAP's ldap.h: various works in progress"),


  # OpenLDAP's ldap.h: LDAP Experimental (works in progress) Features
  "1.3.6.1.4.1.4203.666.8.2":(
    "LDAP_FEATURE_MODIFY_INCREMENT",
    "",
    "OpenLDAP's ldap.h: LDAP Experimental (works in progress) Features"),
  "1.3.6.1.4.1.4203.666.8.1":(
    "LDAP_FEATURE_SUBORDINATE_SCOPE",
    "",
    "OpenLDAP's ldap.h: LDAP Experimental (works in progress) Features"),


  # draft-behera-ldap-password-policy
  "1.3.6.1.4.1.42.2.27.8.5.1":(
    "passwordPolicyRequest",
    "",
    "draft-behera-ldap-password-policy"),

  # The Novell Import Convert Export utility uses the following
  # extensions.
  "2.16.840.1.113730.3.5.3":(
    "iPlanet Start Replication Request Extended Operation",
    "",
    "iPlanet Directory 5.0+"),
  "2.16.840.1.113730.3.5.4":(
    "iPlanet Replication Response Extended Operation",
    "",
    "iPlanet Directory 5.0+"),
  "2.16.840.1.113730.3.5.5":(
    "iPlanet End Replication Request Extended Operation",
    "",
    "iPlanet Directory 5.0+"),
  "2.16.840.1.113730.3.5.6":(
    "iPlanet Replication Entry Request Extended Operation",
    "",
    "iPlanet Directory 5.0+"),
  "2.16.840.1.113730.3.5.7":( 
    "iPlanet Bulk Import Start Extended Operation",
    "",
    "iPlanet Directory 5.0+"),
  "2.16.840.1.113730.3.5.8":(
    "iPlanet Bulk Import Finished Extended Operation",
    "",
    "iPlanet Directory 5.0+"),

  "1.2.840.113556.1.4.800":(
    "LDAP_CAP_ACTIVE_DIRECTORY_OID",
    "This LDAP server is an Active Directory server (Windows 2000 and later).",
    "Microsoft Active Directory"),
  "1.2.840.113556.1.4.1670":(
    "LDAP_CAP_ACTIVE_DIRECTORY_V51_OID",
    "This LDAP server is a 'Whistler' Active Directory server (Windows 2003 and later).",
    "Microsoft Active Directory"),
  "1.2.840.113556.1.4.1791":(
    "LDAP_CAP_ACTIVE_DIRECTORY_LDAP_INTEG_OID",
    "This LDAP server is supports signing and sealing on an NTLM authenticated connection, and is capable of performing subsequent binds on such a connection.",
    "Microsoft Active Directory"),

}
