#
# spec file for package web2ldap
#

Name: web2ldap
Summary: Full-featured web-based LDAPv3 client
Version: 0.15.0
Release: 1
Provides: web2ldap
Copyright: GPL
Group: Networking/Utilities
Source: http://www.web2ldap.de/download/web2ldap-%{version}.tar.gz
Requires: python python-ldap
%description
What is web2ldap?
 * A generic LDAPv3 client which does not make any assumptions
   about the tree structure or LDAP schema.
 * Kind of a swiss-army knife for accessing/manipulating LDAP
   servers without having to configure anything.
 * A secure LDAP client with clean login behaviour.
 * A schema browser which displays references/dependencies within
   an LDAPv3 schema.

What it's not?
 * A light-weight search interface.
 * An administration user interface for your secretary to maintain
   the corporate address book.

See web2ldap pages on http://www.web2ldap.de/

%prep

%setup

%build
python sbin/compile.py
python -O sbin/compile.py

%install
mkdir /opt/web2ldap
cp -r * /opt/web2ldap/
chmod -R a+r /opt/web2ldap
chmod -R go-w /opt/web2ldap
for I in cgi-bin fcgi sbin scgi
do
  chmod 755 $I/*
done

%files
%defattr(-,root,root)
%dir /opt/web2ldap/etc/web2ldap
%dir /opt/web2ldap/etc/web2ldap/web2ldapcnf
%config /opt/web2ldap/etc/web2ldap/dumpasn1.cfg
%config /opt/web2ldap/etc/web2ldap/*.py
%config /opt/web2ldap/etc/web2ldap/localschema.ldif
%config /opt/web2ldap/etc/web2ldap/web2ldapcnf/*.py
%config /opt/web2ldap/etc/init.d/web2ldap
%dir /opt/web2ldap/etc/web2ldap/templates
%config /opt/web2ldap/etc/web2ldap/templates/*.html
%dir /opt/pylib/web2ldap
/opt/web2ldap/htdocs
/opt/web2ldap/pylib
/opt/web2ldap/sbin
/opt/web2ldap/templates
/opt/web2ldap/contrib
%attr(750, wwwrun, www) %dir /var/log/web2ldap
%attr(755, wwwrun, www) %dir /var/run/web2ldap

#%doc README INSTALL htdocs/

